Search purchasable business phone numbers
curl --request POST \
--url https://api.leadping.ai/phone-numbers/search \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumber": "<string>",
"location": {
"location": "<string>",
"state": "<string>",
"canonicalCity": "<string>",
"canonicalState": "<string>",
"countryCode": "<string>",
"coordinate": {
"latitude": "<string>",
"longitude": "<string>"
},
"coordinateSource": {
"method": "<string>",
"query": "<string>"
},
"timeZoneId": "<string>",
"timeZoneSource": {
"method": "<string>",
"query": "<string>"
}
}
}
'import requests
url = "https://api.leadping.ai/phone-numbers/search"
payload = {
"phoneNumber": "<string>",
"location": {
"location": "<string>",
"state": "<string>",
"canonicalCity": "<string>",
"canonicalState": "<string>",
"countryCode": "<string>",
"coordinate": {
"latitude": "<string>",
"longitude": "<string>"
},
"coordinateSource": {
"method": "<string>",
"query": "<string>"
},
"timeZoneId": "<string>",
"timeZoneSource": {
"method": "<string>",
"query": "<string>"
}
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/phone-numbers/search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddJsonBody("{\n \"phoneNumber\": \"<string>\",\n \"location\": {\n \"location\": \"<string>\",\n \"state\": \"<string>\",\n \"canonicalCity\": \"<string>\",\n \"canonicalState\": \"<string>\",\n \"countryCode\": \"<string>\",\n \"coordinate\": {\n \"latitude\": \"<string>\",\n \"longitude\": \"<string>\"\n },\n \"coordinateSource\": {\n \"method\": \"<string>\",\n \"query\": \"<string>\"\n },\n \"timeZoneId\": \"<string>\",\n \"timeZoneSource\": {\n \"method\": \"<string>\",\n \"query\": \"<string>\"\n }\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/phone-numbers/search")
.header("Content-Type", "application/json")
.body("{\n \"phoneNumber\": \"<string>\",\n \"location\": {\n \"location\": \"<string>\",\n \"state\": \"<string>\",\n \"canonicalCity\": \"<string>\",\n \"canonicalState\": \"<string>\",\n \"countryCode\": \"<string>\",\n \"coordinate\": {\n \"latitude\": \"<string>\",\n \"longitude\": \"<string>\"\n },\n \"coordinateSource\": {\n \"method\": \"<string>\",\n \"query\": \"<string>\"\n },\n \"timeZoneId\": \"<string>\",\n \"timeZoneSource\": {\n \"method\": \"<string>\",\n \"query\": \"<string>\"\n }\n }\n}")
.asString();const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
phoneNumber: '<string>',
location: {
location: '<string>',
state: '<string>',
canonicalCity: '<string>',
canonicalState: '<string>',
countryCode: '<string>',
coordinate: {latitude: '<string>', longitude: '<string>'},
coordinateSource: {method: '<string>', query: '<string>'},
timeZoneId: '<string>',
timeZoneSource: {method: '<string>', query: '<string>'}
}
})
};
fetch('https://api.leadping.ai/phone-numbers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/phone-numbers/search"
payload := strings.NewReader("{\n \"phoneNumber\": \"<string>\",\n \"location\": {\n \"location\": \"<string>\",\n \"state\": \"<string>\",\n \"canonicalCity\": \"<string>\",\n \"canonicalState\": \"<string>\",\n \"countryCode\": \"<string>\",\n \"coordinate\": {\n \"latitude\": \"<string>\",\n \"longitude\": \"<string>\"\n },\n \"coordinateSource\": {\n \"method\": \"<string>\",\n \"query\": \"<string>\"\n },\n \"timeZoneId\": \"<string>\",\n \"timeZoneSource\": {\n \"method\": \"<string>\",\n \"query\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/phone-numbers/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'phoneNumber' => '<string>',
'location' => [
'location' => '<string>',
'state' => '<string>',
'canonicalCity' => '<string>',
'canonicalState' => '<string>',
'countryCode' => '<string>',
'coordinate' => [
'latitude' => '<string>',
'longitude' => '<string>'
],
'coordinateSource' => [
'method' => '<string>',
'query' => '<string>'
],
'timeZoneId' => '<string>',
'timeZoneSource' => [
'method' => '<string>',
'query' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"numbers": [
{
"number": "<string>",
"location": {
"location": "<string>",
"state": "<string>",
"canonicalCity": "<string>",
"canonicalState": "<string>",
"countryCode": "<string>",
"coordinate": {
"latitude": "<string>",
"longitude": "<string>"
},
"coordinateSource": {
"method": "<string>",
"query": "<string>"
},
"timeZoneId": "<string>",
"timeZoneSource": {
"method": "<string>",
"query": "<string>"
}
}
}
]
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}PhoneNumbers
Search purchasable business phone numbers
Searches available phone numbers for purchase, applying country, area, and capability filters for lead communication setup.
POST
/
phone-numbers
/
search
Search purchasable business phone numbers
Body
application/jsonapplication/*+json
Used to signal cancellation of the operation if needed.
Request schema for the Leadping API phone number search request, including the fields clients can send.
Response
Returns the phone number search response.
Response schema for the Leadping API phone number search response returned to authenticated clients.
Phone numbers returned or evaluated by this phone number search response.
Show child attributes
Show child attributes
⌘I

